package com.ruoyi.school.paper.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 试卷题库主对象 db_question_bank_test_paper
 *
 * @author zyf
 * @date 2023-07-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("db_question_bank_test_paper")
public class DbQuestionBankTestPaper extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 试卷id
     */
    private Long testPaperId;
    /**
     * 类别id
     */
    private Long categoryId;
    /**
     * 习题种类：1填空，2选择，3解答
     */
    private Integer species;
    /**
     * 阶段id
     */
    private Long phaseId;
    /**
     * 类型：1典例精讲
     */
    private Integer type;
    /**
     * 强度：1基础，2中等，3提高
     */
    private Integer intensity;
    /**
     * 题目
     */
    private String topic;
    /**
     * 正确答案
     */
    private String rightAnswers;
    /**
     * 正确答案图片
     */
    private String rightAnswersPic;
    /**
     * 解答过程
     */
    private String resolveCourse;
    /**
     * 解答视频
     */
    private String resolveVideo;
    /**
     * 备注
     */
    private String remark;
    /**
     * 状态：0正常，1删除
     */
    private Integer status;

}
