package com.ruoyi.school.paper.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 答题记录详情业务对象 db_test_paper_record_detail
 *
 * @author zyf
 * @date 2023-07-20
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class DbTestPaperRecordDetailBo extends BaseEntity {

    /**
     * 主键id
     */
    @NotNull(message = "主键id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 记录id
     */
    @NotNull(message = "记录id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long recordId;

    /**
     * 题目id
     */
    @NotNull(message = "题目id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long questionBankId;

    /**
     * 答案
     */
    @NotBlank(message = "答案不能为空", groups = { AddGroup.class, EditGroup.class })
    private String answer;

    /**
     * 得分
     */
    @NotNull(message = "得分不能为空", groups = { AddGroup.class, EditGroup.class })
    private BigDecimal score;

    /**
     * 是否优秀答案：0是，1不是
     */
    @NotNull(message = "是否优秀答案：0是，1不是不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer good;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;

    /**
     * 状态：0正常，1 删除
     */
    @NotNull(message = "状态：0正常，1 删除不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer status;

    /**
     * 创建时间
     */
    @NotNull(message = "创建时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date cerateTime;


}
