package com.ruoyi.school.paper.service;

import com.ruoyi.school.paper.domain.DbDict;
import com.ruoyi.school.paper.domain.vo.DbDictVo;
import com.ruoyi.school.paper.domain.bo.DbDictBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 字典Service接口
 *
 * @author zyf
 * @date 2023-07-20
 */
public interface IDbDictService {

    /**
     * 查询字典
     */
    DbDictVo queryById(Long id);

    /**
     * 查询字典列表
     */
    TableDataInfo<DbDictVo> queryPageList(DbDictBo bo, PageQuery pageQuery);

    /**
     * 查询字典列表
     */
    List<DbDictVo> queryList(DbDictBo bo);

    /**
     * 新增字典
     */
    Boolean insertByBo(DbDictBo bo);

    /**
     * 修改字典
     */
    Boolean updateByBo(DbDictBo bo);

    /**
     * 校验并批量删除字典信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
