package com.ruoyi.school.paper.service;

import com.ruoyi.school.paper.domain.DbQuestionBank;
import com.ruoyi.school.paper.domain.vo.DbQuestionBankVo;
import com.ruoyi.school.paper.domain.bo.DbQuestionBankBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 题库主Service接口
 *
 * @author zyf
 * @date 2023-07-20
 */
public interface IDbQuestionBankService {

    /**
     * 查询题库主
     */
    DbQuestionBankVo queryById(Long id);

    /**
     * 查询题库主列表
     */
    TableDataInfo<DbQuestionBankVo> queryPageList(DbQuestionBankBo bo, PageQuery pageQuery);

    /**
     * 查询题库主列表
     */
    List<DbQuestionBankVo> queryList(DbQuestionBankBo bo);

    /**
     * 新增题库主
     */
    Boolean insertByBo(DbQuestionBankBo bo);

    /**
     * 修改题库主
     */
    Boolean updateByBo(DbQuestionBankBo bo);

    /**
     * 校验并批量删除题库主信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
